# Binding

| Environment | Method | URL                                                                                                                                                                                                                                                                                                                                                                                                        |
| ----------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Development | POST   | [https://devo.finnet.co.id/pg/payment/card/directdebit/bind](<https://devo.finnet.co.id/pg/payment/card/directdebit/bind&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/unbind&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/purchase&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/balance&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/balance/history>) |
| Production  | POST   | [https://live.finnet.co.id/pg/payment/card/directdebit/bind](https://devo.finnet.co.id/pg/payment/card/directdebit/bindhttps://devo.finnet.co.id/pg/payment/card/directdebit/unbindhttps://devo.finnet.co.id/pg/payment/card/directdebit/purchasehttps://devo.finnet.co.id/pg/payment/card/directdebit/balancehttps://devo.finnet.co.id/pg/payment/card/directdebit/balance/history)                       |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name          | Type                                                                    | Mandatory | Min Length | Max Length | Description             |
| -- | ------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ----------------------- |
| 1  | customer      | [Object](/api-reference/appendix/json-object/customer-object.md)        | M         | 1          | 8          | Detail of Customer      |
| 2  | url           | [Object](/api-reference/appendix/json-object/url-object.md)             | M         | 1          | 4          | Detail of Url           |
| 3  | sourceOfFunds | [Object](/api-reference/appendix/json-object/source-of-funds-object.md) | M         | 1          | 11         | Detail of SourceOfFunds |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
    "customer": {
        "id": "+6285776886939", 
        "email": "adamabdillah20@gmail.com", 
        "firstName": "Adam", 
        "lastName": "Abdillah", 
        "mobilePhone": "+6285776886939" 
    },
    "url": {
        "callbackUrl": "https://sandbox.finpay.co.id/simdev/finpay/result/resultsuccess.php"
    },
    "sourceOfFunds": {                                  
        "type": "ddisaku" 
    }
}
```

### Body Response <a href="#body-request" id="body-request"></a>

| No | Name            | Type                                                              | Mandatory | Min Length | Max Length | Description      |
| -- | --------------- | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | Response Code    |
| 2  | responseMessage | String                                                            | M         | 1          | 500        | Response Message |
| 3  | referenceNumber | String                                                            | C         | 1          | 36         | Generate by Bank |
| 4  | redirecturl     | String                                                            | M         | 1          | 320        | Redirect URL     |
| 5  | processingTime  | Number                                                            | M         | 1          | 20         | Processing Time  |

#### Sample Response <a href="#sample-request" id="sample-request"></a>

```
{
  "responseCode": "2000000",
  "responseMessage": "Request has been processed successfully",
  "referenceNumber": "EgxrD/rgEqJF954vDuCKNqdyf/N8rLailovYhlwt9i7yCoxA2JGxTZauaDPcKdWH",
  "redirectUrl": "https://devo.finnet.co.id/pg/payment/card/directdebit/ddisaku/pairing/proxy?redirectUrl=https%3A%2F%2Fdevsecure.1-saku.com%2FAccount%2FRegister%3Fticket_number%3DmGiSs7x4e4wOxugDrRZugRYDjU2Hgt1LKrIb6yRGO8Mk%26token%3Dysi31ku8RurOmYRvi31kuJsKWIYY2qvFClE4WBlQ7lKbHY1Nq9OyX3lZ9yO0izjw547q9p6o46i54kuwuW7xZLFa3UTncUiphYbgX6XVDq1Af1LMDXB5tQyf6AuYRjVk10DU2KTm6i0GyO5yi54kuCsi54ku29EABHD9aBqYcnHJoouiciUyTDx1SZenwQwi71ku&authcode=48b1821c-f7ee-477c-b66b-185f13f6176b&dataCode=c8eae62b-df29-40e5-a29d-6bee7bab1737",
  "processingTime": 3.811169147491455
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/binding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
